//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
// 
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "PrimaryGeneratorActionMessenger.hh"
#include "PrimaryGeneratorAction.hh"

#include "G4UIdirectory.hh"
#include "G4UIcmdWithABool.hh"
#include "G4UIcmdWithAString.hh"
#include "G4UIcmdWithAnInteger.hh"
#include "G4UIcmdWithADouble.hh"
#include "G4UIcmdWithADoubleAndUnit.hh"
#include "G4UIcmdWith3VectorAndUnit.hh"


//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

PrimaryGeneratorActionMessenger::PrimaryGeneratorActionMessenger(PrimaryGeneratorAction* pgen):
fPrimaryGeneratorAction(pgen)
{ 
/*   
    fMyCmd = new G4UIcmdWithAnInteger("/gun/mycommand",this);
    fMyCmd->SetGuidance("description");
    fMyCmd->SetParameterName("par",false);
    fMyCmd->SetRange("ParE>=0");
    fMyCmd->AvailableForStates(G4State_PreInit,G4State_Idle);  
    
  	fMyCmd = new G4UIcmdWithAString("/gun/mycommand", this);
  	fMyCmd->SetGuidance("description");
  	fMyCmd->SetParameterName("par", true);
  	fMyCmd->SetDefaultValue("");
  	fMyCmd->AvailableForStates(G4State_PreInit,G4State_Idle);
  	
  	fMyCmd = new G4UIcmdWithADouble("/gun/mycommand",this);
    fMyCmd->SetGuidance("description");
    fMyCmd->SetParameterName("par",false);
    fMyCmd->SetRange("par>=0");
    fMyCmd->AvailableForStates(G4State_PreInit,G4State_Idle); 
     	
    fMyCmd = new G4UIcmdWithADoubleAndUnit("/det/mycommand",this);
    fMyCmd->SetGuidance("description");
    fMyCmd->SetParameterName("par",false);
    fMyCmd->SetUnitCategory("Length");
    fMyCmd->SetRange("par>=0");
    fMyCmd->AvailableForStates(G4State_PreInit,G4State_Idle); 
*/

	fSetGPS = new G4UIcmdWithABool("/gun/setGPS", this);
  	fSetGPS->SetGuidance("command to set GPS");  	
  	fSetGPS->SetParameterName("par",true);
  	fSetGPS->SetDefaultValue(false);  
  	
  	fSetPrimariesPerEventCmd = new G4UIcmdWithAnInteger("/gun/setPrimariesPerEvent",this);
    fSetPrimariesPerEventCmd->SetGuidance("Set number of primearies per event");
    fSetPrimariesPerEventCmd->SetParameterName("PPE",false);
    fSetPrimariesPerEventCmd->SetRange("PPE>=1");
    fSetPrimariesPerEventCmd->AvailableForStates(G4State_PreInit,G4State_Idle); 
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

PrimaryGeneratorActionMessenger::~PrimaryGeneratorActionMessenger()
{
	delete fSetGPS;
	delete fSetPrimariesPerEventCmd;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void PrimaryGeneratorActionMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{
/*
    if (command == fMyCmd) 
		fPrimaryGeneratorAction->SetMethod(fMyCmd->GetNewIntValue(newValue));
	
    if (command == fMyCmd) 
		fPrimaryGeneratorAction->SetMethod(fMyCmd->GetNewDoubleValue(newValue));

	if (command == fMyCmd) 
		fPrimaryGeneratorAction->SetMethod(newValue);		
*/	

	if (command == fSetGPS) 
	    fPrimaryGeneratorAction->SetGPS(fSetGPS->GetNewBoolValue(newValue));
	    
	if (command == fSetPrimariesPerEventCmd) 
		fPrimaryGeneratorAction->SetPrimariesPerEvent(fSetPrimariesPerEventCmd->
	                                                  GetNewIntValue(newValue));	
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

